#include "motif.macros"


MakePanel(bgroundTBL,bgroundTBLTBL, Set Up Drawing Area Background)

*bgroundTBLTBL.wcCreate:        XmpTable
UnifiedTableLayout(*bgroundTBLTBL)
*bgroundTBLTBL.wcChildren:	bgroundSpecInfoTBL,  \
                                bgroundDstModeTBL,   \
                                bgroundSpecModeTBL,  \
                                bgroundSpecJustTBL,  \
				bgroundPlaceModeTBL, \
	                        bgroundButtonTBL

*bgroundTBLTBL.Layout:          bgroundSpecInfoTBL   0 0; \
                                bgroundDstModeTBL    0 1; \
				bgroundPlaceModeTBL  0 2; \
                                bgroundSpecModeTBL   0 3; \
                                bgroundSpecJustTBL   0 4; \
	                        bgroundButtonTBL     0 5


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*bgroundSpecInfoTBL.wcCreate:      XmpTable
*bgroundSpecInfoTBL.wcChildren:    bgroundTitleLB, bgroundFields
*bgroundSpecInfoTBL.layout:        bgroundTitleLB 0 0 WH; bgroundFields 0 1
UnifiedBorderWidth(*bgroundSpecInfoTBL)


UnifiedTitle(bgroundTitleLB, <<<<< Display Background Color/Pattern >>>>>)


*bgroundFields.wcCreate:      XmpTable
*bgroundFields.wcChildren:	\
			      bgroundbgroundLB,  \
			      bgroundclipNamePB,   \
                              bgroundbgroundTF,  \
			      bgroundclipNameTF

*bgroundFields.layout:     	\
			      bgroundbgroundLB  0 1 ; \
			      bgroundclipNamePB   0 0 ; \
			      bgroundbgroundTF  1 1 ; \
			      bgroundclipNameTF   1 0 

*bgroundFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\

MakePBandTF(*bgroundclipNamePB,*bgroundclipNameTF,      Background Clip Name:)
*bgroundclipNamePB.activateCallback: XetAction(popupselectClipsTBL)
*bgroundclipNamePB.borderWidth:   0
MakeLBandTF(*bgroundbgroundLB,*bgroundbgroundTF,    Background Color:)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*bgroundDstModeTBL.wcCreate:         XmpTable
*bgroundDstModeTBL.wcChildren:       bgrounddstmentTitle,  \
                                       bgrounddstmentBttn
UnifiedBorderWidth(*bgroundDstModeTBL)
*bgroundDstModeTBL.layout:           bgrounddstmentTitle  0 0 WH; \
                                       bgrounddstmentBttn   0 1


UnifiedTitle(bgrounddstmentTitle, <<<<< Output Destination >>>>>)

*bgrounddstmentBttn.wcCreate:        XmpTable
*bgrounddstmentBttn.wcChildren:      bgroundDSTADIOBOX

*bgroundDSTADIOBOX.wcCreate:           XmRowColumn
*bgroundDSTADIOBOX.wcChildren:         lt,mt

*bgroundDSTADIOBOX.indicatorType:      ONE_OF_MANY
*bgroundDSTADIOBOX.radioBehavior:      True
*bgroundDSTADIOBOX.numColumns:         3
*bgroundDSTADIOBOX.packing:            PACK_COLUMN
!!*bgroundDSTADIOBOX.borderWidth:        4

MakeToggleButton(*bgroundDSTADIOBOX.lt,  Drawing Area)
*bgroundDSTADIOBOX.lt.set: True
MakeToggleButton(*bgroundDSTADIOBOX.mt,  Root Window)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*bgroundPlaceModeTBL.wcCreate:         XmpTable
*bgroundPlaceModeTBL.wcChildren:       bgroundplacementTitle,  \
                                       bgroundplacementBttn
UnifiedBorderWidth(*bgroundPlaceModeTBL)
*bgroundPlaceModeTBL.layout:           bgroundplacementTitle  0 0 WH; \
                                       bgroundplacementBttn   0 1


UnifiedTitle(bgroundplacementTitle, <<<<< Background Placement Mode >>>>>)

*bgroundplacementBttn.wcCreate:        XmpTable
*bgroundplacementBttn.wcChildren:      bgroundPMRADIOBOX

*bgroundPMRADIOBOX.wcCreate:           XmRowColumn
*bgroundPMRADIOBOX.wcChildren:         lt,mt

*bgroundPMRADIOBOX.indicatorType:      ONE_OF_MANY
*bgroundPMRADIOBOX.radioBehavior:      True
*bgroundPMRADIOBOX.numColumns:         3
*bgroundPMRADIOBOX.packing:            PACK_COLUMN
!!*bgroundPMRADIOBOX.borderWidth:        4

MakeToggleButton(*bgroundPMRADIOBOX.lt,  Replace)
*bgroundPMRADIOBOX.lt.set: True
MakeToggleButton(*bgroundPMRADIOBOX.mt,  Overwrite)



!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*bgroundSpecModeTBL.wcCreate:         XmpTable
*bgroundSpecModeTBL.wcChildren:       bgroundSpecModeTBL1,\
                                      bgroundSpecModeTitle
UnifiedBorderWidth(*bgroundSpecModeTBL)
*bgroundSpecModeTBL.layout:           bgroundSpecModeTitle 0 0 WH; \
                                      bgroundSpecModeTBL1  0 1


UnifiedTitle(bgroundSpecModeTitle, <<<<< Tiling Mode >>>>>)

*bgroundSpecModeTBL1.wcCreate:        XmpTable
*bgroundSpecModeTBL1.wcChildren:      bgroundModeRadioBox

*bgroundModeRadioBox.wcCreate:        XmRowColumn
*bgroundModeRadioBox.wcChildren:      mt,lt,vt,ht

*bgroundModeRadioBox.indicatorType:   ONE_OF_MANY
*bgroundModeRadioBox.radioBehavior:   True
*bgroundModeRadioBox.numColumns:      2
*bgroundModeRadioBox.packing:         PACK_COLUMN
!!*bgroundModeRadioBox.borderWidth:     4


MakeToggleButton(*bgroundModeRadioBox.lt,  Tiled (all))
MakeToggleButton(*bgroundModeRadioBox.vt,  Tiled (vertical only))
MakeToggleButton(*bgroundModeRadioBox.ht,  Tiled (horizontal only))
MakeToggleButton(*bgroundModeRadioBox.mt,  Untiled)
*bgroundModeRadioBox.mt.set: True

*bgroundSpecJustTBL.wcCreate:         XmpTable
*bgroundSpecJustTBL.wcChildren:       bgroundJustificationTitle,  \
				      bgroundJustificationFields, \
                                      bgroundJustificationBttn
UnifiedBorderWidth(*bgroundSpecJustTBL)
*bgroundSpecJustTBL.layout:           bgroundJustificationTitle  0 0 WH; \
				      bgroundJustificationFields 0 1; \
                                      bgroundJustificationBttn   0 2


UnifiedTitle(bgroundJustificationTitle, <<<<< Justification >>>>>)


*bgroundJustificationFields.wcCreate:      XmpTable
*bgroundJustificationFields.wcChildren:	\
				      bgroundJustificationXLocLB, \
				      bgroundJustificationYLocLB, \
				      bgroundJustificationXLocTF, \
				      bgroundJustificationYLocTF

*bgroundJustificationFields.layout: 	\
				      bgroundJustificationXLocLB 0 0;\
				      bgroundJustificationYLocLB 0 1;\
				      bgroundJustificationXLocTF 1 0;\
				      bgroundJustificationYLocTF 1 1

MakeLBandTF(*bgroundJustificationXLocLB,*bgroundJustificationXLocTF, Fixed X Position:)
MakeLBandTF(*bgroundJustificationYLocLB,*bgroundJustificationYLocTF, Fixed Y Position:)

*bgroundJustificationBttn.wcCreate:       XmpTable
*bgroundJustificationBttn.wcChildren:     bgroundSpecRADIOBOX

*bgroundSpecRADIOBOX.wcCreate:            XmRowColumn
*bgroundSpecRADIOBOX.wcChildren:          lt,lm,lb,fixed,mt,mm,mb,random,rt,rm,rb

*bgroundSpecRADIOBOX.indicatorType:       ONE_OF_MANY
*bgroundSpecRADIOBOX.radioBehavior:       True
*bgroundSpecRADIOBOX.numColumns:          3
*bgroundSpecRADIOBOX.packing:             PACK_COLUMN
*bgroundSpecRADIOBOX.borderWidth:         4

MakeToggleButton(**bgroundSpecRADIOBOX.lt,  left-top)
MakeToggleButton(**bgroundSpecRADIOBOX.mt,  center-top)
MakeToggleButton(**bgroundSpecRADIOBOX.rt,  right-top)
MakeToggleButton(**bgroundSpecRADIOBOX.lm,  left-center)
MakeToggleButton(**bgroundSpecRADIOBOX.mm,  center-center)
*bgroundSpecRADIOBOX.mm.set: True
MakeToggleButton(**bgroundSpecRADIOBOX.rm,  right-center)
MakeToggleButton(**bgroundSpecRADIOBOX.lb,  left-bottom)
MakeToggleButton(**bgroundSpecRADIOBOX.mb,  center-bottom)
MakeToggleButton(**bgroundSpecRADIOBOX.rb,  right-bottom)
MakeToggleButton(**bgroundSpecRADIOBOX.fixed,  fixed location)
MakeToggleButton(**bgroundSpecRADIOBOX.random,  random location)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*bgroundButtonTBL.wcCreate:         XmpTable
*bgroundButtonTBL.wcChildren:       bgroundDoit,  bgroundCancel
*bgroundButtonTBL.layout:           bgroundDoit   0 0; \
                                    bgroundCancel 1 0

globalButtonSpacing(bgroundButtonTBL)

MakePushButton(bgroundDoit,   Do it, XetAction(bgroundDoit)  )
MakePushButton(bgroundCancel, Cancel,XetAction(bgroundCancel)  WcDestroy(bgroundTBL))
 


