#include "motif.macros"

MakePanel(colorSelTBL,colorSelectTBL,  Color Panel)
colorSelTBL.wcAfterManageChildren:  XetAction(colorSelectPanel)

!!colorSelTBL.width:   300
!!colorSelTBL.height:  360

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*colorSelectTBL.wcCreate:           XmpTable
UnifiedTableLayout(*colorSelectTBL);
*colorSelectTBL.wcChildren:         colorPanelDA, \
                                    colorPanelTF, colorPanelTF1,\
                                    colorPanelBttnTBL

*colorSelectTBL.layout:             colorPanelTF         0 0  0 0  H; \
				    colorPanelTF1        1 0  0 0  H; \
                                    colorPanelDA         0 1  4 40 ; \
				    colorPanelBttnTBL    0 41 4 2  H

UnifiedBorderWidth(*colorSelectTBL)

*colorPanelTF.wcCreate:		    XmTextField
*colorPanelTF.columns:		    32   
*colorPanelTF.maxLength:	    32 
*colorPanelTF.value:		    Pixval = 000 RGB = (0, 0, 0)
*colorPanelTF.sensitive:	    False

*colorPanelTF1.wcCreate:            XmTextField
*colorPanelTF1.columns:             5     
*colorPanelTF1.maxLength:           5     
*colorPanelTF1.sensitive:           False

*colorPanelDA.wcCreate:	            XmDrawingArea
UnifiedBorderWidth(*colorPanelDA)
*colorPanelDA.borderColor:          XET_BLACK
*colorPanelDA.background:           XET_WHITE
*colorPanelDA.shadowThickness:      0
*colorPanelDA.width:   160
*colorPanelDA.height:  240

*colorPanelDA.translations:         #override \
                                    <Key>: DrawingAreaInput()	

*colorPanelBttnTBL.wcCreate:        XmpTable
*colorPanelBttnTBL.wcChildren:      colorSelCancel,colorSelPastebg,\
                                    colorSelPastefg
*colorPanelBttnTBL.layout:          \
				    colorSelPastebg 0 0; \
				    colorSelPastefg 1 0; \
				    colorSelCancel  2 0 

globalButtonSpacing(colorPanelBttnTBL)

MakePushButton(colorSelPastebg, Paste to bg, XetAction(colorSelPastebg))
MakePushButton(colorSelPastefg, Paste to fg, XetAction(colorSelPastefg))
MakePushButton(colorSelCancel, Cancel, XetAction(colorSelCancel) WcDestroy(~))
