#include "motif.macros"

MakePanel(shapeTBL,shapeTBLTBL,Attach Shape Mask)

*shapeTBLTBL.wcCreate:          XmpTable
UnifiedTableLayout(*shapeTBLTBL)
*shapeTBLTBL.wcChildren:	shapeSpecTBL,  \
                                shapeModeTBL,  \
                                shapeShapeTBL, \
	                        shapeButtonTBL

*shapeTBLTBL.Layout:            shapeSpecTBL     0 0 WH; \
                                shapeModeTBL     0 1; \
                                shapeShapeTBL    0 2; \
	                        shapeButtonTBL   0 3

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*shapeSpecTBL.wcCreate:         XmpTable
*shapeSpecTBL.wcChildren:       shapeSpecTitleLB, shapeSpecFields
*shapeSpecTBL.layout:           shapeSpecTitleLB 0 0 WH; \
                                shapeSpecFields  0 1
	
UnifiedBorderWidth(*shapeSpecTBL)

UnifiedTitle(shapeSpecTitleLB, <<<<< Shape Specification >>>>>)

*shapeSpecFields.wcCreate:      XmpTable
*shapeSpecFields.wcChildren:	\
				shapeField1LB,          \
				shapeField2LB,          \
				shapeField3LB,          \
				shapeField4LB,          \
				shapeField5LB,          \
				shapeField6LB,          \
				shapebackgroundimageLB, \
				shapesourceXLB,         \
				shapesourceYLB,         \
				shapeField1TF,          \
				shapeField2TF,          \
				shapeField3TF,          \
				shapeField4TF,          \
				shapeField5TF,          \
				shapeField6TF,          \
				shapebackgroundimageTF, \
				shapesourceXTF,         \
				shapesourceYTF


*shapeSpecFields.layout: 	\
				shapebackgroundimageLB  0 0 ;  \
				shapesourceXLB          0 1 ;  \
				shapesourceYLB          0 2 ;  \
				shapeField1LB           0 3 ;  \
				shapeField2LB           0 4 ;  \
				shapeField3LB           0 5 ;  \
				shapeField4LB           0 6 ;  \
				shapeField5LB           0 7 ;  \
				shapeField6LB           0 8 ;  \
				shapebackgroundimageTF  1 0 ;  \
				shapesourceXTF          1 1 ;  \
				shapesourceYTF          1 2 ;  \
				shapeField1TF           1 3 ;  \
				shapeField2TF           1 4 ;  \
				shapeField3TF           1 5 ;  \
				shapeField4TF           1 6 ;  \
				shapeField5TF           1 7 ;  \
				shapeField6TF           1 8


*shapeSpecFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\

MakePBandTF(*shapebackgroundimageLB,*shapebackgroundimageTF,   Designated Clip Name:)
*shapebackgroundimageLB.activateCallback:  XetAction(popupselectClipsTBL)
*shapebackgroundimageLB.borderWidth:   0
MakeLBandTF(*shapesourceYLB,*shapesourceYTF,      Y origin:)
MakeLBandTF(*shapesourceXLB,*shapesourceXTF,      X origin:)
MakeLBandTF(*shapeField1LB,*shapeField1TF,         Radius:)
MakeLBandTF(*shapeField2LB,*shapeField2TF,         - :)
MakeLBandTF(*shapeField3LB,*shapeField3TF,         - :)
MakeLBandTF(*shapeField4LB,*shapeField4TF,         - :)
MakeLBandTF(*shapeField5LB,*shapeField5TF,         - :)
MakeLBandTF(*shapeField6LB,*shapeField6TF,         - :)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*shapeModeTBL.wcCreate:            XmpTable
*shapeModeTBL.wcChildren:          shapeModeTitleLB, shapeModeRadioTBL
*shapeModeTBL.layout:              shapeModeTitleLB  0 0 WH; \
                                   shapeModeRadioTBL 0 1
UnifiedBorderWidth(*shapeModeTBL)

UnifiedTitle(shapeModeTitleLB, <<<<< Mode Options >>>>>)

*shapeModeRadioTBL.wcCreate:       XmpTable
*shapeModeRadioTBL.wcChildren:     shapeModeRadioBox

*shapeModeRadioBox.wcCreate:       XmRowColumn
*shapeModeRadioBox.wcChildren:     lt,mt

*shapeModeRadioBox.indicatorType:  ONE_OF_MANY
*shapeModeRadioBox.radioBehavior:  True
*shapeModeRadioBox.numColumns:     2
*shapeModeRadioBox.packing:        PACK_COLUMN

*shapeModeRadioBox.lt.wcCreate:	   XmToggleButton
*shapeModeRadioBox.lt.labelString: Solid
*shapeModeRadioBox.lt.set:         True
*shapeModeRadioBox.mt.wcCreate:	   XmToggleButton
*shapeModeRadioBox.mt.labelString: Hollow


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*shapeShapeTBL.wcCreate:           XmpTable
*shapeShapeTBL.wcChildren:         shapeShapeTitleLB, shapeShapeRadioTBL
*shapeShapeTBL.layout:             shapeShapeTitleLB  0 0 WH; \
                                   shapeShapeRadioTBL 0 1
UnifiedBorderWidth(*shapeShapeTBL)

UnifiedTitle(shapeShapeTitleLB, <<<<< Shape Type Options >>>>>)

*shapeShapeRadioTBL.wcCreate:      XmpTable
*shapeShapeRadioTBL.wcChildren:    shapeShapeRadioBox

*shapeShapeRadioBox.wcCreate:      XmRowColumn
*shapeShapeRadioBox.wcChildren:    lt,lm,rt,mt,mm,mb,rm,rb,bt

*shapeShapeRadioBox.indicatorType: ONE_OF_MANY
*shapeShapeRadioBox.radioBehavior: True
*shapeShapeRadioBox.numColumns:    3
*shapeShapeRadioBox.packing:       PACK_COLUMN


*shapeShapeRadioBox.lt.wcCreate:	XmToggleButton
*shapeShapeRadioBox.lt.labelString:     circle
*shapeShapeRadioBox.lt.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Radius:)  \
         WcSetValue(*shapeField2LB.labelString: -:) \
         WcSetValue(*shapeField3LB.labelString: -:) \
         WcSetValue(*shapeField4LB.labelString: -:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.lt.set:             True
*shapeShapeRadioBox.mt.wcCreate:	XmToggleButton
*shapeShapeRadioBox.mt.labelString:     Ellipse
*shapeShapeRadioBox.mt.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Radius x:)  \
         WcSetValue(*shapeField2LB.labelString: Radius y:)  \
         WcSetValue(*shapeField3LB.labelString: -:) \
         WcSetValue(*shapeField4LB.labelString: -:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.rt.wcCreate:	XmToggleButton
*shapeShapeRadioBox.rt.labelString:     rectangle
*shapeShapeRadioBox.rt.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Rectangle Width:) \
         WcSetValue(*shapeField2LB.labelString: Rectangle height:)\
         WcSetValue(*shapeField3LB.labelString: -:) \
         WcSetValue(*shapeField4LB.labelString: -:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.lm.wcCreate:	XmToggleButton
*shapeShapeRadioBox.lm.labelString:     star 
*shapeShapeRadioBox.lm.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Outer Spike Length x:)  \
         WcSetValue(*shapeField2LB.labelString: Outer Spike Length y:)  \
         WcSetValue(*shapeField3LB.labelString: Inner Spike Length x:)    \
         WcSetValue(*shapeField4LB.labelString: Inner Spike Length y:)   \
         WcSetValue(*shapeField5LB.labelString: Number of Spikes:) \
         WcSetValue(*shapeField6LB.labelString: Orientation Angle:)
*shapeShapeRadioBox.mm.wcCreate:	XmToggleButton
*shapeShapeRadioBox.mm.labelString:     gear
*shapeShapeRadioBox.mm.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Outer Spike Length x:)  \
         WcSetValue(*shapeField2LB.labelString: Outer Spike Length y:)\
         WcSetValue(*shapeField3LB.labelString: Inner Spike Length x:) \
         WcSetValue(*shapeField4LB.labelString: Inner Spike Length y:)\
         WcSetValue(*shapeField5LB.labelString: Number of Gears:) \
         WcSetValue(*shapeField6LB.labelString: Orientation Angle:)
*shapeShapeRadioBox.rm.wcCreate:	XmToggleButton
*shapeShapeRadioBox.rm.labelString:     Mesh
*shapeShapeRadioBox.rm.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Line Spacing x:)  \
         WcSetValue(*shapeField2LB.labelString: Line Spacing y:)\
         WcSetValue(*shapeField3LB.labelString: Line Width x:) \
         WcSetValue(*shapeField4LB.labelString: Line Width y:) \
         WcSetValue(*shapeField5LB.labelString: Orientation Angle:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.mb.wcCreate:	XmToggleButton
*shapeShapeRadioBox.mb.labelString:     Equilateral
*shapeShapeRadioBox.mb.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Radius x:)  \
         WcSetValue(*shapeField2LB.labelString: Radius y:)\
         WcSetValue(*shapeField3LB.labelString: Number of sides:) \
         WcSetValue(*shapeField4LB.labelString: Orientation Angle:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.rb.wcCreate:	XmToggleButton
*shapeShapeRadioBox.rb.labelString:     Diagonal
*shapeShapeRadioBox.rb.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Y origin:)  \
         WcSetValue(*shapesourceXLB.labelString: X origin:) \
         WcSetValue(*shapeField1LB.labelString: Angle:)  \
         WcSetValue(*shapeField2LB.labelString: Width:)\
         WcSetValue(*shapeField3LB.labelString: -:) \
         WcSetValue(*shapeField4LB.labelString: -:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
*shapeShapeRadioBox.bt.wcCreate:	XmToggleButton
*shapeShapeRadioBox.bt.labelString:     Spray
*shapeShapeRadioBox.bt.armCallback: \
         WcSetValue(*shapesourceYLB.labelString: Percent of Coverage:)  \
         WcSetValue(*shapesourceXLB.labelString: Spot Size:) \
         WcSetValue(*shapeField1LB.labelString: -:)  \
         WcSetValue(*shapeField2LB.labelString: -:)\
         WcSetValue(*shapeField3LB.labelString: -:)\
         WcSetValue(*shapeField4LB.labelString: -:) \
         WcSetValue(*shapeField5LB.labelString: -:) \
         WcSetValue(*shapeField6LB.labelString: -:)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*shapeButtonTBL.wcCreate:       XmpTable
*shapeButtonTBL.wcChildren:     shapeDoit, shapeImport, \
                                shapeCancel
*shapeButtonTBL.layout:         shapeDoit     0 0 ; \
				shapeImport   1 0 ; \
                                shapeCancel   2 0

globalButtonSpacing(shapeButtonTBL)

MakePushButton(shapeDoit,     Attach Mask, XetAction(shapeDoit) )
MakePushButton(shapeImport,   Import,WcSetInsensitive(this) XetAction(preshapeImportMask))
MakePushButton(shapeCancel,   Cancel,XetAction(shapeCancel)  WcDestroy(shapeTBL))
 


