//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef CLONE_IMAGE_H
#define CLONE_IMAGE_H

#include "clip.h"

class CloneImage : public Clip {
protected:
  Clip   *original_clip;
public:
  CloneImage(Clip *);
  ~CloneImage();
  Clip   *dup();
  Clip   *getOriginalClip() { return original_clip; }
};

#endif

