//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef IMPORT_IMAGE_H
#define IMPORT_IMAGE_H
#include <stdio.h>

class ImportImage {
protected:
  char		*filename;
  int		 garbage;
  char		*imageType;
  unsigned int	 width, height;
  int		 maxval;
  int		 fileSize;
  int		 getint(FILE *fp);
  void		 get_sof (FILE *fp);
  int		 next_marker (FILE *fp);
  long		 get_2bytes (FILE *fp);
  int		 JGETC(FILE *fp);
public:
  ImportImage(char *filename);
  ~ImportImage();
  char		*getImageType() { return imageType;}
  int		 getWidth()     { return (int) width;}
  int		 getHeight()    { return (int) height;}
  int		 getmaxval()    { return maxval;}
  int		 getFileSize()  { return fileSize;}
  void		 getPBMinfo();
  void		 getGIFinfo();
  void		 getPMinfo();
  void		 getXBMinfo();
  void		 getSUNRASTERinfo();
  void		 getUTAHRLEinfo();
  void		 getJFIFinfo();
  void		 getTIFFinfo();
  void		 getPDSVICARinfo();

};

#endif

