//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#include <X11/Intrinsic.h>

void     FSBCancel();
void     FSBUpdateImportFilename();
void     PaintBackground();
void     PaintColorPallet();
void     PaintXetLogo();
void     ReInitialize();
void     ReadForkResult(XtPointer,int *fd, XtInputId *xid);
void     actionDispatcher(Widget , char *s);
void     bgroundCancel();
void     bgroundDoit();
void     buildClipList();
void     buildSchedulerList();
void     buildSpoolList();
void     cleaninfotxt();
void     clearDrawingArea();
void     clipAttribApply();
void     clipAttribCancel();
void     clipCancel();
void     clipSave();
void     cliprehearse();
void     clipstoprehearse();
void     cmapfilenameCancel();
void     cmapfilenameTBL();
void     colorFreeCells();
void     colorSelCancel();
void     colorSelPastebg();
void     colorSelPastefg();
void     colorSelectPanel();
void     configClipsCancel();
void     configClipsClone();
void     configClipsDelete();
void     configClipsDeleteAll();
void     configClipsDeleteMask();
void     configClipsDup();
void     configClipsInfo();
void     configClipsQuantize();
void     configClipsRename();
void     configClipsSetStatus();
void     configClipsShow();
void     configClipsShowAll();
void     configENV();
void     configENVApply();
void     configENVCancel(); 
void     corpCancel();
void     corpbgArea();
void     cropArea();
void     destroyBackground();
void     drawGrid10();
void     drawGrid100();
void     drawGrid20();
void     drawGrid200();
void     drawGrid5();
void     drawGrid50();
void     dumpinfotxt();
void     editLocusAccept();
void     editLocusPoints();
void     editLocusUnique();
void     fileNameCancel();
void     forgeApply();
void     forgeCancel();
void     freezeLogo();
void     freezeMotion();
void     imporFlip_trotate270();
void     importCancel();
void     importDoit();
void     importFlip_leftright();
void     importFlip_rotate180();
void     importFlip_rotate90();
void     importFlip_topbottom();
void     importFlip_transpose();
void     importfetchinfo();
void     loadcmap();
void     loadcmapCancel();
void     loadlocus();
void     loadlocusCancel();
void     loadxetfile();
void     loadxetfilecancel();
void     locusAccept();
void     locusCancel();
void     locusClear();
void     locusDefine();
void     locusDelete();
void     locusDeleteAll();
void     locusDup();
void     locusIgnore();
void     locusInfo();
void     locusPaste();
void     locusRename();
void     locusShow();
void     makeWidgetOval(Widget w, char *s);
void     movieCommit();
void     movieDelete();
void     movieDeleteAll();
void     movieExtract();
void     movieMoveDown();
void     movieMoveToFirst();
void     movieMoveToLast();
void     movieMoveUp();
void     movieSetTermCond();
void     pastePoints();
void     patternCancel();
void     popupselectClipsTBL();
void     preWriteClipImage();
void     preWriteClipMask();
void     preschedulerWrite();
void     preshapeImportMask();
void     prewriteLocus();
void     rePaintBackground();
void     readImagefileWrap(XtPointer, XtIntervalId);
void     reCaptureRootWindow();
void     renameClipCancel();
void     renameClipOk();
void     renameLocusCancel();
void     renameLocusOk();
void     renameSchedCancel();
void     renameSchedOk();
void     resizeDrawingArea();
void     runFreeze();
void     runReset();
void     runReverse();
void     runReverseClip();
void     runUnfreeze();
void     runUpdate();
void     savexetfilecancel();
void     schedOutputDrawingArea();
void     schedOutputRoot();
void     schedulerCancel();
void     schedulerDelete();
void     schedulerDeleteAll();
void     schedulerDuplicate();
void     schedulerEdit();
void     schedulerFreeze();
void     schedulerMoveToMovie();
void     schedulerRename();
void     schedulerReset();
void     schedulerResetAll();
void     schedulerReverse();
void     schedulerReverseAll();
void     schedulerReverseClip();
void     schedulerReverseClipAll();
void     schedulerUnfreeze();
void     schedulerToRootWinAll();
void     schedulerToDAALL();
void     selectthisclip();
void     setClipStatusNoBoth();
void     setClipStatusNoImage();
void     setClipStatusNoMask();
void     setClipStatusNormal();
void     setFalseToasyncResult();
void     setTrueToasyncResult();
void     setclipAttributes();
void     shapeCancel();
void     shapeDoit();
void     shapeImportMask();
void     shapeImportMaskCancel();
void     spoolerClose();
void     spoolerDelete();
void     spoolerDeleteAll();
void     spoolerMoveDown();
void     spoolerMoveUp();
void     spoolerResume();
void     spoolerSuspend();
void     textCancel();
void     textDoit();
void     unfreezeLogo();
void     unfreezeMotion();
void     updateColorPanel(Widget , XtPointer, XEvent *evt, Boolean);
void     updateXYLocation(Widget , XtPointer, XEvent *evt, Boolean);
void     writeClipImage();
void     writeClipImageCancel();
void     writeClipMask();
void     writeClipMaskCancel();
void     writeCmapFileAs();
void     writeLocus();
void     writeLocusCancel();
void     writeOutXetFileAs();
void     writeScheduler();
void     writeSchedulerCancel();
void     xetHelpBuild();
void     xetHelpColor();
void     xetHelpDemo();
void     xetHelpFile();
void     xetHelpGeneral();
void     xetHelpMisc();
void     xetHelpOverview();
void     xetHelpPlay();
void     xetHelpSyntax();
