#include "motif.macros"

MakePanel(filenameTBL,filenameParamTBL,  Save Current Xet Session)

*filenameParamTBL.wcCreate:         XmpTable
UnifiedTableLayout(*filenameParamTBL)
*filenameParamTBL.wcChildren:	    filenameImgFilenameTBL,    \
				    filenameOutputOptionTBL,   \
				    filenameOutputOptionTBL1,  \
	                            filenameImgButtonTBL

*filenameParamTBL.Layout:           filenameImgFilenameTBL   0 0; \
				    filenameOutputOptionTBL  0 1; \
				    filenameOutputOptionTBL1 0 2; \
	                            filenameImgButtonTBL     0 3

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*filenameImgFilenameTBL.wcCreate:     XmpTable
*filenameImgFilenameTBL.wcChildren:   filenameFilenametitle, \
                                      filenameFilenamefields

UnifiedBorderWidth(*filenameImgFilenameTBL)
*filenameImgFilenameTBL.layout:       filenameFilenametitle    0 0 WH; \
                                      filenameFilenamefields   0 1

UnifiedTitle(filenameFilenametitle,  <<<<< Enter an Xet Script Name >>>>>)

*filenameFilenamefields.wcCreate:      XmpTable
*filenameFilenamefields.wcChildren:	\
		                       filedirectoryLB,  \
			               filenameLB,       \
                                       filenameTF,       \
                                       filedirectoryTF

*filenameFilenamefields.layout:   	\
			               filedirectoryLB   0 0; \
			               filenameLB        0 1; \
			               filedirectoryTF   1 0; \
			               filenameTF        1 1

MakeLBandTF(*filedirectoryLB,*filedirectoryTF, Directory name:)
MakeLBandTF(*filenameLB,*filenameTF, Xet Script name:)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*filenameOutputOptionTBL.wcCreate:         XmpTable
*filenameOutputOptionTBL.wcChildren:       filenameOptTitle,  \
                                           filenameOptBttn

UnifiedBorderWidth(*filenameOutputOptionTBL)

*filenameOutputOptionTBL.layout:           filenameOptTitle  0 0 WH; \
                                           filenameOptBttn   0 1

UnifiedTitle(filenameOptTitle, <<<<< Output options >>>>>)

*filenameOptBttn.wcCreate:		   XmpTable
*filenameOptBttn.wcChildren:		   filenameOptRADIOBOX
	
*filenameOptRADIOBOX.wcCreate:		   XmRowColumn
*filenameOptRADIOBOX.wcChildren:	   mt,rt
	
*filenameOptRADIOBOX.indicatorType:	   ONE_OF_MANY
*filenameOptRADIOBOX.radioBehavior:	   True
*filenameOptRADIOBOX.numColumns:	   4
*filenameOptRADIOBOX.packing:		   PACK_COLUMN



MakeToggleButton(*filenameOptRADIOBOX.mt,  All)
*filenameOptRADIOBOX.mt.set: True
MakeToggleButton(*filenameOptRADIOBOX.rt,  Partial)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*filenameOutputOptionTBL1.wcCreate:        XmpTable
*filenameOutputOptionTBL1.wcChildren:      filenameOptTitle1,  \
                                           filenameOptBttn1

UnifiedBorderWidth(*filenameOutputOptionTBL1)

*filenameOutputOptionTBL1.layout:          filenameOptTitle1  0 0 WH; \
                                           filenameOptBttn1   0 1

UnifiedTitle(filenameOptTitle1, <<<<< What kind of output options >>>>>)

*filenameOptBttn1.wcCreate:                XmpTable
*filenameOptBttn1.wcChildren:              filenameOptRADIOBOX1

*filenameOptRADIOBOX1.wcCreate:            XmRowColumn
*filenameOptRADIOBOX1.wcChildren:          mt,rt,lm,lt

!!*filenameOptRADIOBOX1.indicatorType:     ONE_OF_MANY
*filenameOptRADIOBOX1.radioBehavior:       False
*filenameOptRADIOBOX1.numColumns:          4
*filenameOptRADIOBOX1.packing:             PACK_COLUMN

UnifiedBorderWidth(*filenameOptRADIOBOX1)

MakeToggleButton(*filenameOptRADIOBOX1.mt,  Scheduler)
MakeToggleButton(*filenameOptRADIOBOX1.rt,  Clips)
MakeToggleButton(*filenameOptRADIOBOX1.lm,  Locus)
MakeToggleButton(*filenameOptRADIOBOX1.lt,  Background)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


*filenameImgButtonTBL.wcCreate:            XmpTable
*filenameImgButtonTBL.wcChildren:          filenameSave,  \
                                           filenameCancel  

globalButtonSpacing(filenameImgButtonTBL)

*filenameImgButtonTBL.layout:              \
	                                   filenameSave   0 0; \
                                           filenameCancel 1 0


MakePushButton(filenameSave,  Save   , XetAction(writeOutXetFileAs) )
MakePushButton(filenameCancel, Cancel, XetAction(fileNameCancel) WcDestroy(filenameTBL))





