#include "motif.macros"


MakePanel(spoolerTBL,spoolerTBLTBL,    Spooler Queue)
spoolerTBL.wcAfterManageChildren:  XetAction(buildSpoolList)

spoolerTBL.width:   500


*spoolerTBLTBL.wcCreate:           XmpTable
UnifiedTableLayout(*spoolerTBLTBL)
*spoolerTBLTBL.wcChildren:	   \
                                   spoolerListTBL, \
	                           spoolerButtonTBL

*spoolerTBLTBL.Layout:             \
                                   spoolerListTBL    0 0; \
                                   spoolerButtonTBL  0 1

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*spoolerListTBL.wcCreate:       XmpTable
*spoolerListTBL.wcChildren:     queueListTitle, queueListTBL
*spoolerListTBL.layout:         queueListTitle 0 0 WH; queueListTBL 0 1
UnifiedBorderWidth(*spoolerListTBL)

UnifiedTitle(queueListTitle,   <<<<< List of Queued jobs >>>>>)

*queueListTBL.wcCreate:         XmpTable
*queueListTBL.wcChildren:       queueList

MakeListWidget(*queueList,12)

*queueList.wcPopups:            spoolerPopupMenu
*queueList.translations:   #override \n <Btn3Down>: XmpPopup( this*spoolerPopupMenu )
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*spoolerButtonTBL.wcCreate:       XmpTable
*spoolerButtonTBL.wcChildren:     spoolerDeleteAll,\
                                  spoolerSuspend, spoolerResume, \
                                  spoolerClose

*spoolerButtonTBL.layout:          \
				  spoolerDeleteAll 0 0; \
                                  spoolerSuspend   1 0; \
                                  spoolerResume    2 0; \
                                  spoolerClose     3 0

globalButtonSpacing(spoolerButtonTBL)

MakePushButton(spoolerSuspend,  Suspend,  XetAction(spoolerSuspend) )
MakePushButton(spoolerResume,  Resume,  XetAction(spoolerResume) )
MakePushButton(spoolerDeleteAll,  Clean Queue,  XetAction(spoolerDeleteAll) )
MakePushButton(spoolerClose,  Cancel,  XetAction(spoolerClose)   WcDestroy(spoolerTBL*spoolerPopupMenu) WcDestroy(spoolerTBL))

*spoolerPopupMenu.wcConstructor:	XmCreatePopupMenu
*spoolerPopupMenu.wcChildren:   spoolerDelete,spoolerMoveUp,spoolerMoveDown,

MakePushButton(spoolerDelete,  Delete,  XetAction(spoolerDelete) )
MakePushButton(spoolerMoveUp,  Move To First,  XetAction(spoolerMoveUp) )
MakePushButton(spoolerMoveDown,  Move To Last,  XetAction(spoolerMoveDown) )


