#include "motif.macros"

MakePanel(textTBL,textParamTBL,  Text Specification Form)

*textParamTBL.wcCreate:         XmpTable
UnifiedTableLayout(*textParamTBL)
*textParamTBL.wcChildren:	textSpecInfoTBL, \
                                textSpecJustTBL, \
	                        textSpecButtonTBL

*textParamTBL.Layout:           textSpecInfoTBL     0 0; \
                                textSpecJustTBL     0 1; \
	                        textSpecButtonTBL   0 2


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*textSpecInfoTBL.wcCreate:      XmpTable
*textSpecInfoTBL.wcChildren:    textSpecTitleLB, textSpecFields
*textSpecInfoTBL.layout:        textSpecTitleLB 0 0 WH; textSpecFields 0 1
UnifiedBorderWidth(*textSpecInfoTBL)

UnifiedTitle(textSpecTitleLB, <<<<< Text Specification >>>>>)

*textSpecFields.wcCreate:      XmpTable
*textSpecFields.wcChildren:	\
			       textStringLB,           \
			       textclipNameLB,           \
			       textfontLB,             \
			       textFontSizeLB,         \
			       textbackgroundimageLB,  \
			       textbgroundLB,          \
			       textfgcolorLB,          \
			       textClipSizeLB,         \
			       textStringTF,           \
			       textclipNameTF,           \
			       textfontTF,             \
			       textFontSizeTF,         \
			       textbackgroundimageTF,  \
			       textbgroundTF,          \
			       textfgcolorTF,          \
			       textClipSizeTF


*textSpecFields.layout: 	\
			       textclipNameLB           0 0 ;  \
			       textbgroundLB          0 1 ;  \
			       textfgcolorLB          0 2 ;  \
			       textbackgroundimageLB  0 3 ;  \
			       textClipSizeLB         0 4 ;  \
			       textfontLB             0 5 ;  \
			       textFontSizeLB         0 6 ;  \
			       textStringLB           0 7 ;  \
			       textclipNameTF           1 0;   \
			       textbgroundTF          1 1;   \
			       textfgcolorTF          1 2;   \
			       textbackgroundimageTF  1 3;   \
			       textClipSizeTF         1 4;   \
			       textfontTF             1 5;   \
			       textFontSizeTF         1 6;   \
			       textStringTF           1 7


*textSpecFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\
MakeLBandTF(*textStringLB,*textStringTF, Text String:)
MakePBandTF(*textbackgroundimageLB,*textbackgroundimageTF,   Background Clip Name:)
*textbackgroundimageLB.activateCallback:  XetAction(popupselectClipsTBL)
*textbackgroundimageLB.borderWidth:   0

MakeLBandTF(*textFontSizeLB,*textFontSizeTF,         Font Size:)
MakeLBandTF(*textfontLB,*textfontTF,         Font Type:)
MakeLBandTF(*textclipNameLB,*textclipNameTF,        Clip Name:)
MakeLBandTF(*textbgroundLB,*textbgroundTF,    Background Color:)
MakeLBandTF(*textfgcolorLB,*textfgcolorTF,    Foreground Color:)
MakeLBandTF(*textClipSizeLB,*textClipSizeTF, Size (Width x Height):)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*textSpecJustTBL.wcCreate:         XmpTable
*textSpecJustTBL.wcChildren:       textJustificationTitle,  \
				   textJustificationFields, \
                                   textJustificationBttn
UnifiedBorderWidth(*textSpecJustTBL)
*textSpecJustTBL.layout:           textJustificationTitle  0 0 WH; \
				   textJustificationFields 0 1; \
                                   textJustificationBttn   0 2


UnifiedTitle(textJustificationTitle, <<<<< Justification >>>>>)


*textJustificationFields.wcCreate:    XmpTable
*textJustificationFields.wcChildren:  \
				      textJustificationXLocLB, \
				      textJustificationYLocLB, \
				      textJustificationXLocTF, \
				      textJustificationYLocTF

*textJustificationFields.layout:      \
				      textJustificationXLocLB 0 0;\
				      textJustificationYLocLB 0 1;\
				      textJustificationXLocTF 1 0;\
				      textJustificationYLocTF 1 1

MakeLBandTF(*textJustificationXLocLB,*textJustificationXLocTF, Fixed X Position:)
MakeLBandTF(*textJustificationYLocLB,*textJustificationYLocTF, Fixed Y Position:)

*textJustificationBttn.wcCreate:       XmpTable
*textJustificationBttn.wcChildren:     textSpecRADIOBOX

*textSpecRADIOBOX.wcCreate:            XmRowColumn
*textSpecRADIOBOX.wcChildren:          lt,lm,lb,fixed,mt,mm,mb,random,rt,rm,rb

*textSpecRADIOBOX.indicatorType:       ONE_OF_MANY
*textSpecRADIOBOX.radioBehavior:       True
*textSpecRADIOBOX.numColumns:	       3
*textSpecRADIOBOX.packing:	       PACK_COLUMN
*textSpecRADIOBOX.borderWidth:	       4


MakeToggleButton(*textSpecRADIOBOX.lt,  left-top)
MakeToggleButton(*textSpecRADIOBOX.mt,  center-top)
MakeToggleButton(*textSpecRADIOBOX.rt,  right-top)
MakeToggleButton(*textSpecRADIOBOX.lm,  left-center)
MakeToggleButton(*textSpecRADIOBOX.mm,  center-center)
*textSpecRADIOBOX.mm.set:       True
MakeToggleButton(*textSpecRADIOBOX.rm,  right-center)
MakeToggleButton(*textSpecRADIOBOX.lb,  left-bottom)
MakeToggleButton(*textSpecRADIOBOX.mb,  center-bottom)
MakeToggleButton(*textSpecRADIOBOX.rb,  right-bottom)
MakeToggleButton(*textSpecRADIOBOX.fixed,  fixed location)
MakeToggleButton(*textSpecRADIOBOX.random,  random location)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*textSpecButtonTBL.wcCreate:       XmpTable
*textSpecButtonTBL.wcChildren:     textDoit, textCancel
*textSpecButtonTBL.layout:         textDoit 0 0 ; textCancel 1 0

globalButtonSpacing(textSpecButtonTBL)

MakePushButton(textDoit,         Build Text Clip, XetAction(textDoit) )
MakePushButton(textCancel,       Cancel,XetAction(textCancel)  \
                                 WcDestroy(textTBL))




