//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef PPM_IMAGE_H
#define PPM_IMAGE_H

#include "clip.h"
#include <stdio.h>

class PPMImage : public Clip {
protected:
  unsigned char *pic;         //read in image in PPM format
  int            destroyFlag;  // if != 0 destroy XImage when exit
  char          *filename;
  int            garbage;
  int            getint(FILE *fp);
public:
  PPMImage(Display *d,Widget w,char *filename);
  ~PPMImage();
  int		 loadPPM();
  void		 setDestroyFlag(int);
  void		 loadPPMBuildCmapOnly();
  void		 buildXimage();
  Clip		*dup();
};

#endif

