//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef RUN_GLIDE_H
#define RUN_GLIDE_H

#include "run_base.h"

class RunGlide : public RunBase {
friend class Xet;
protected:
  int      start_x,start_y,start_dx,start_dy;
  int      bounding_x,bounding_y,bounding_width,bounding_height;
public:
  RunGlide(Display *d,OutputWindow *w,ClipList *image);
  ~RunGlide();
  RunBase *Copy();
  void     adjustInitialXY();
  void     start(int x, int y, int dx, int dy);
  int      nextMove();
  void     reverse();
  void     reset();
  void     setBoundingBox(int,int,int,int);
  void     writeToDisk(FILE *);
};

#endif
