//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef TEXT_IMAGE_H
#define TEXT_IMAGE_H

#include "clip.h"
#include "font.h"

class TextImage : public Clip {
protected:
  GFont   *gFont;
public:
  TextImage(Display *d,Widget w,GFont *);
  ~TextImage();
  Clip *dup();
  void DrawText(char *s, Widget win,int wbox,int hbox,
		int xloc,int yloc,int justification,
		int size, unsigned long fg, unsigned long bg,XImage *);
  void DrawText(char s, Widget win,int wbox,int hbox,
		int xloc,int yloc,int justification,
		int size, unsigned long fg, unsigned long bg,XImage *);
};

#endif


