.TH xet 1 "12 December 1992"
.SH NAME
.nf
      
.fi
xet \- X Entertainment (a tool to create animated images)
.SH SYNOPSIS
.nf
      
.fi
.B xet 
[-rf file] 
[-v] 
[-h]
[-n]
[-s obj] 
[-S] 
[[xet scripts]...]

.SH DESCRIPTION
.nf
      
.fi
Xet is an X application program based on X11R5. Xet has sophisticated 
mechanisms to create and to display animated images under X window.
I named the program Xet, X Entertainment System, 
is because I intended to make Xet as a tool to
create animated images for visual pleasure. 
.PP
The implementation of Xet is divided into two parts. The first part
contains Motif based user interface which is completely implemented
by using WCL-2.3. The second part was written in C++. 
The installation of Xet requires the following: (1) X11R5, (2) Motif-1.1.1,
(3) WCL-2.3, and (4) Sun/C++-2.1. 
In order to operate Xet, it is required to have the following:
(1) Sun/Sparc with color monitors, (2) installed pbmplus10dec91 programs,
and (3) djpeg (only required for using jpeg/jpg images with Xet).

.SH HIGHLIGHT OF XET CAPABILITIES
.nf
     
.fi
.TP 4  
.B 1.
A comprehensive menu/form driven interface to create and to display
animated images.
.TP 4 
.B 2.
Xet provides 6 basic animation models, namely, locus, random, fly,
glide, fixed, and blink. 
Basic animation objects can be chained to form movie objects.
.TP 4
.B 3.
The behavior of animation objects can be altered with several key
strokes at run time.
.TP 4 
.B 4.
A menu/form driven interface to manipulate pbmplus programs.
.TP 4 
.B 5.
Xet provides users with the capability to use either private color map 
or default color map and it can be altered at run time.
.TP 4 
.B 6.
Clips can be overpainted on the drawing area.
.TP 4 
.B 7.
Clips can be made of by cutting regions on the drawing area.
.TP 4 
.B 8.
Xet uses shape masks to animate non-rectangular images.
.TP 4 
.B 9.
Xet provides mechanisms to utilize scaleable fonts in 
X11R5 to create clips for animating text strings.
.TP 4 
.B 10.
Animation sessions can be saved for playback/modification.
.TP 4    
.B 11.
Animation sessions can be set up by  using  Xet  script.
Xet script is a simple instructive language.
.TP 4   
.B 12.
 Plenty of demos came with the Xet distribution.

.SH OPTIONS
.nf
      
.fi
.TP 8
.B \-rf file
Specify a X resource file. This option is passed on to WCL. 
.TP 8
.B \-v            
It prints out the current xet version.
.TP 8
.B \-h            
It prints out a brief help message.
.TP 8
.B \-n
Start with no animation object in the Xetlogo.
.TP 8
.B \-S            
All available animation objects are scheduled after initialization.
.TP 8
.B \-s  obj_list  
A list of animation objects to be scheduled after initialization.
All object names must be separated by ',' and no white space is allowed 
in the obj_list.
.TP 8
.B xet scripts     
Specify one or more Xet scripts separated by white spaces.

 
.SH REFERENCES
.nf
      
.fi
All related documentation came with Xet distribution.
.br
All related documentation came with pbmplus10dec91.
.SH "SEE ALSO"
.nf
      
.fi
None.
.SH AUTHOR
.nf
      
.fi
Copyright (C) 1992, 1993 by Ko-Haw Nieh  (nieh@netcom.com)

.\" Permission to use, copy, modify, and distribute this software and its
.\" documentation for any purpose and without fee is hereby granted, provided
.\" that the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.  This software is provided "as is" without express or
.\" implied warranty.
